<Project Sdk="Microsoft.NET.Sdk">
	<PropertyGroup>
		<TargetFramework>net8.0</TargetFramework>
		<GenerateAssemblyInfo>false</GenerateAssemblyInfo>
		<GenerateRuntimeConfigurationFiles>true</GenerateRuntimeConfigurationFiles>
		<IsTestingPlatformApplication>false</IsTestingPlatformApplication>
	</PropertyGroup>
	<ItemGroup>
		<ProjectReference Include="..\..\StudioKit.Cloud.Storage\StudioKit.Cloud.Storage.csproj"/>
		<ProjectReference Include="..\..\StudioKit.Data.Entity.Identity\StudioKit.Data.Entity.Identity.csproj"/>
		<ProjectReference Include="..\..\StudioKit.Data\StudioKit.Data.csproj"/>
		<ProjectReference Include="..\..\StudioKit.ErrorHandling.Interfaces\StudioKit.ErrorHandling.Interfaces.csproj"/>
		<ProjectReference Include="..\..\StudioKit.ErrorHandling\StudioKit.ErrorHandling.csproj"/>
		<ProjectReference Include="..\..\StudioKit.ExternalProvider.Lti\StudioKit.ExternalProvider.Lti.csproj"/>
		<ProjectReference Include="..\..\StudioKit.ExternalProvider.Lti\Tests\StudioKit.ExternalProvider.Lti.Tests.csproj"/>
		<ProjectReference Include="..\..\StudioKit.ExternalProvider.UniTime\StudioKit.ExternalProvider.UniTime.csproj"/>
		<ProjectReference Include="..\..\StudioKit.ExternalProvider\StudioKit.ExternalProvider.csproj"/>
		<ProjectReference Include="..\..\StudioKit.Notification\StudioKit.Notification.csproj"/>
		<ProjectReference Include="..\..\StudioKit.Security.Entity.Identity\StudioKit.Security.Entity.Identity.csproj"/>
		<ProjectReference Include="..\..\StudioKit.Security.Entity\StudioKit.Security.Entity.csproj"/>
		<ProjectReference Include="..\..\StudioKit.Security\StudioKit.Security.csproj"/>
		<ProjectReference Include="..\..\StudioKit.Sharding.Entity.Identity\StudioKit.Sharding.Entity.Identity.csproj"/>
		<ProjectReference Include="..\..\StudioKit.Sharding.Entity\StudioKit.Sharding.Entity.csproj"/>
		<ProjectReference Include="..\..\StudioKit.Sharding\StudioKit.Sharding.csproj"/>
		<ProjectReference Include="..\..\StudioKit.UserInfoService\StudioKit.UserInfoService.csproj"/>
		<ProjectReference Include="..\..\StudioKit.Utilities\StudioKit.Utilities.csproj"/>
		<ProjectReference Include="..\StudioKit.Scaffolding.csproj"/>
	</ItemGroup>
	<ItemGroup>
		<PackageReference Include="Microsoft.NET.Test.Sdk" Version="17.11.1"/>
		<PackageReference Include="MSTest.TestFramework" Version="3.6.1"/>
	</ItemGroup>
	<ItemGroup>
		<FrameworkReference Include="Microsoft.AspNetCore.App"/>
	</ItemGroup>
	<ItemGroup>
		<None Remove="Files\extract-text-test.docx"/>
		<Content Include="Files\extract-text-test.docx">
			<CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
		</Content>
		<None Remove="Files\extract-text-test.pdf"/>
		<Content Include="Files\extract-text-test.pdf">
			<CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
		</Content>
		<None Remove="Files\extract-text-test-pdf-expected.txt"/>
		<Content Include="Files\extract-text-test-pdf-expected.txt">
			<CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
		</Content>
	</ItemGroup>
</Project>